/* Start Variables */
:root {
    --mainColor: #2196f3;
    --mainPadding: 100px;
}
/* End Variables */


/* Start Global Rules */

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    font-family: "Arimo", serif;
    scroll-behavior: smooth;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
}


.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

/* Small */
@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}
/* Medium */
@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}
/* Large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}
/* End Global Rules */

/* Start Componens */
.main-heading h1 {
    font-size: 50px;
    font-weight: normal;
    text-transform: uppercase;
    position: relative;
    width: fit-content;
    margin: auto;
    margin-bottom: 80px;
}
.main-heading h1::after {
    content: "";
    position: absolute;
    width: 75%;
    left: 50%;
    height: 5px;
    bottom: -20px;
    transform: translateX(-50%);
    background-color: #333;
}
.main-heading h1::before {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -29px;
    transform: translateX(-50%);
    width: 15px;
    height: 15px;
    background-color: #e3e3e3;
    border: 5px solid #333;
    border-radius: 50%;
    z-index: 1;
}
.main-heading p {
    font-size: 19px;
    margin: auto;
    text-align: center;
    opacity: .5;
    margin-bottom: 100px;
}
/* End Componens */


/* start header */
.header {
    position: absolute;
    left: 0;
    width: 100%;
    z-index: 2;

}

.header .container{
    display: flex;
    justify-content: space-between;
    min-height: 100px;
}

.header .logo i{
    font-weight: 900;
    font-size: 25px;
    color: #fff;
}

.header .container {
    position: relative;
    display: flex;
    align-items: center;
}

.toggle-menu {
    color: #fff;
    font-size: 26px;
}

@media (min-width: 768px) {
    .toggle-menu {
        display: none;
    }
}

.header .links {
    display: flex;
    align-items: center;
}

.header .container::after {
    content: "";
    height: 1px;
    background-color: #a2a2a2;
    position: absolute;
    width: calc(100% - 30px);
    bottom: 0;
    left: 15px;
}

.header .links ul{  
    display: flex;
    justify-content: flex-end;
}

@media (max-width: 767px) {
    .header .links ul{
        display: none;
    }
    .toggle-menu:hover + ul {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: rgb(0 0 0 / 50%);
    }
    .header .links ul li a {
        padding: 15px !important;
    }
}

.header .links ul li a{
    display: block;
    padding: 40px 10px;
    text-decoration: none;
    color: #a2a2a2;
    text-transform: uppercase;
    transition: .3s;
}

.header .links ul li a.active,
.header .links ul li a:hover {
    color: var(--mainColor);
    border-bottom: 1px solid var(--mainColor);
    position: relative;
    z-index: 1;
}

.header .form {
    height: 50px;
    background-color: #fff;
    width: 1px;
    position: relative;
    margin-right: 55px;
    margin-left: 40px;
} 
.header .form i{
    color: #fff;
    position: absolute;
    bottom: 50%;
    transform: translateY(50%);
    margin-left: 30px;
    font-size: 25px;
}

/* End header */


/* Start Landing */
.landing {
    height: 100vh;
    background-image: url(../images/blue.jpg);
    background-size: cover;
    position: relative;
}
.landing .text{
    display: flex;
    justify-content: flex-end;
    padding: 25px 52px;
    color: #fff;
    background-color: rgb(33 150 243 / 50%);
    width: 50%;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}
.landing .ovarlay {
    height: 100%;
    width: 100%;
    background-color: rgb(51 51 51 / 50%);
}
.landing .text .content {
    max-width: 445px;
}
.landing .content h2 {
    line-height: 1.8;
    margin-bottom: 30px;
    text-transform: uppercase;
    font-size: 25px;
    font-weight: normal;
}
.landing .content p {
    line-height: 1.5;
    opacity: 0.6;
    font-size: 13px;
    margin-bottom: 30px;
    font-weight: bold;
}

@media (max-width: 767px) {
    .landing .text{
        width: 100%;
    }
    .landing .text .content {
        max-width: 100%;
    }
}

.landing .fa-angle-left.change-background {
    position: absolute;
    color: #fff;
    top: 50%;
    left: 30px;
    transform: translateY(-50%);
}
@media (max-width: 767px) {
    .landing .change-background {
        display: none;
    }
}
.landing .fa-angle-right.change-background {
    position: absolute;
    color: #fff;
    top: 50%;
    right: 30px;
    transform: translateY(-50%);
}
.landing .bullets {
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    margin-bottom: 30px;
    display: flex;
}
.landing .bullets li {
    width: 20px;
    height: 20px;
    border: 1px solid #fff;
    border-radius: 50%;
    margin-right: 10px;
}
.landing .bullets li.active {
    background-color: var(--mainColor);
    border: none;
}
/* End Landing */

/* Start Services */
.services {
    background-color: #e3e3e3;
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
}

@media (min-width: 767px) {
    .services .serv {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(450px, 1fr));
        gap: 55px 100px;
    }
}

.services .serv .serv-box {
    display: flex;
}
.services .serv i {
    margin-right: 50px;
}
@media (max-width: 767px) {
    .services .serv .serv-box {
        flex-direction: column;
        text-align: center;
    }
    .services .serv i {
        margin: auto;
        margin-bottom: 25px;
        margin-top: 50px;
    }
}
.services .serv h3 {
    color: var(--mainColor);
    margin-bottom: 25px;
    font-size: 20px;
    font-weight: bold;
}
.services .serv p {
    line-height: 1.7;
    opacity: .5;
    color: #333;
}

/* End Services */

/* Start Design */
.design {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
    background-image: url(../images/blue-backg.jpg);
    background-size: cover;
    height: 600px;
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
}
.design::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 20%);
}
.design .image,
.design .text {
    position: relative;
    z-index: 2;
    flex: 1;
}
.design .image {
    text-align: center;
}
.design .image img{
    position: relative;
    bottom: -160px;
}
@media (max-width: 992px) {
    .design .image {
        display: none;
    }
}
.design .text {
    color: #fff;
    background-color: rgb(42 155 212 / 50%);;
    padding: 45px;
}
.design .text h3 {
    text-transform: uppercase;
    margin-bottom: 20px;
    font-weight: normal;
}
.design .text ul li{
    padding: 12px 0;
    font-size: 13px;
}

.design .text ul li::before {
    font-family: "Font Awesome 5 Free";
    content: "\f390";
    font-weight: 900;
    margin-right: 10px;
}
/* End Design */

/* Start Portofolio */
.portofolio {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
}

.portofolio .shuvle ul {
    display: flex;
    justify-content: center;
    margin-bottom: 60px;
}
.portofolio ul li {
    margin-left: 20px;
    padding: 20px;
}
.portofolio ul .active {
    background-color: var(--mainColor);
    color: #fff;
}
.portofolio .imgs-box {
    display: flex;
    flex-wrap: wrap;
}
.portofolio .imgs-box .box {
    position: relative;
    overflow: hidden;
}   
.portofolio .imgs-box .box img {
    max-width: 100%;
    transition: .3s;
}
@media (min-width: 767px) {
    .portofolio .imgs-box .box {
        flex-basis: 50%;
    }
}
@media (min-width: 1199px) {
    .portofolio .imgs-box .box {
        flex-basis: 25%;
    }
}
.portofolio .imgs-box .box .text {
    position: absolute;
    background-color: #fff;
    padding: 20px;
    left: 0;
    bottom: 0;
    width: 100%;
    transition: .3s;
    bottom: -100%;
}
.portofolio .imgs-box .box:hover .text{
    bottom: 0;
}
.portofolio .imgs-box .box:hover img{
    transform: rotate(3deg) scale(1.1);
}
.portofolio .imgs-box .box .text h4 {
    font-weight: normal;
    margin-bottom: 10px;
}
.portofolio .imgs-box .box .text p {
    color: var(--mainColor);
}
.portofolio .more {
    background-color: var(--mainColor);
    margin: 30px auto;
    display: block;
    padding: 15px 20px;
    color: #fff;
    width: fit-content;
    text-decoration: none;
    text-transform: uppercase;
}
/* End Portofolio */
/* Start Video */
.video {
    position: relative;

}
.video::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(33 150 243 / 9%);
}
.video video {
    width: 100%;
}
.video .text {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
    background-color: rgb(33 150 243 / 50%);
    width: 100%;
    padding: 50px;
    text-align: center;
}
.video .text h2 {
    font-weight: normal;
    text-transform: uppercase;
    margin-bottom: 20px;
}
.video .text p {
    margin-bottom: 20px;
}
.video .text button {
    background-color: #1a1a1a;
    color: #fff;
    border: none;
    padding: 10px 20px;
    text-transform: uppercase;
}

@media (max-width: 768px) {
    .video .text {
        padding: 10px;
        font-size: 10px;
    }
    .video .text h2 {
        margin: 5px;
    }
    .video .text p{
        margin: 5px;
    }
}
/* End Video */

/* Start About Section  */
.about {
    padding-top: var(--mainPadding);
    text-align: center;
    overflow: hidden;
}
.about img {
    width: 50%;
    position: relative;
    top: 100px;
    margin-top: -112px;
}
/* End About Section  */

/* Start Stats */
.stats {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
    position: relative;
    background-image: url(../images/blue.jpg);
    background-size: cover;
}
.stats::before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgb(0 0 0 / 22%);
}

.stats .container {
    position: relative;
    display: flex;
    flex-wrap: wrap;
}
.stats .container .box {
    color: #fff;
    background-color: rgb(33 150 243 / 50%);
    padding: 50px;
    text-align: center;
    position: relative;
}
@media (max-width: 767px) {
    .stats .container .box {
        flex-basis: 100%;
    }
    .stats .container .box:not(:last-child)::before {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 1px;
        background-color: #fff;
    }
}
@media (min-width: 768px) {
    .stats .container .box {
        flex-basis: 50%;
    }
}
@media (min-width: 991px) {
    .stats .container .box {
        flex-basis: 25%;
    }
}
.stats .container .box i {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto 20px;
    background-color: #000;
    border-radius: 50%;
}
.stats .container .box .number {
    font-size: 50px;
    font-weight: bold;
    margin-bottom: 20px;

}
.stats .container .box p {
    font-size: 14px;
}
/* End Stats */

/* Start Skills  */
.skills {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
}

.skills .container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.skills .testimonials {
    margin-bottom: 50px;
}

@media (min-width: 992px) {
    .skills .container > div{
        flex-basis: 45%;
    }
}
.skills .container > div > h2{
    text-align: center;
    font-weight: normal;
    margin-bottom: 30px;
    font-size: 30px;
    text-transform: uppercase;
}
.skills .container > div > p{
    text-align: center;
    color: #777;
    margin-bottom: 50px;
    line-height: 1.8;
}
.skills .testimonials .content {
    display: flex;
}
.skills .testimonials .content img{
    width: 100px;
    height: 100px;
    border-radius: 50%;
}
.skills .testimonials .content .text {
    margin-left: 10px;
    line-height: 1.7;
    border-bottom: 2px solid #333;
    font-size: 19px;
    margin-bottom: 35px;
}

@media (max-width: 767px) {
    .skills .testimonials .content {
        flex-direction: column;
    }
    .skills .testimonials .content img {
        margin: 35px auto;
    }
    .skills .testimonials .content .text {
        text-align: center;
    }
}
.skills .testimonials .content p{
    margin-left: 20px;
}
.skills .testimonials .content .name{
    color: #333;
    text-align: right;
    margin-bottom: 30px;
    font-size: 14px;
}

.skills .testimonials .bollets ul {
    display: flex;
    justify-content: center;
}
.skills .testimonials .bollets ul li {
    width: 13px;
    height: 13px;
    border-radius: 50%;
    border: 1px solid black;
    margin-left: 5px;
}
.skills .testimonials .bollets ul .active {
    border: none;
    background-color: var(--mainColor);
}



.skills .our-skills .content {
    margin-bottom: 35px;

}
.skills .our-skills .content h3{
    font-weight: normal;
    text-transform: uppercase;
    margin-bottom: 45px;
    font-size: 17px;
}
.skills .our-skills .content div{
    width: 100%;
    background-color: #ddd;
    height: 30px;
}
.skills .our-skills .content div span{
    display: inline-block;
    height: 100%;
    background-color: var(--mainColor);
    position: relative;
}
.skills .our-skills .content div span::after {
    content: attr(data-progress);
    position: absolute;
    width: 35px;
    text-align: center;
    border-radius: 3px;
    right: -20.5px;
    bottom: 39px;
    background-color: #000;
    color: #fff;
    padding: 5px;

}
.skills .our-skills .content div span::before {
    content: "";
    position: absolute;
    right: -6.5px;
    bottom: 24px;
    border: 8px solid;
    border-color: #000 transparent transparent transparent;
}
/* End Skills  */

/* Start Quot */
.quot {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
    background-image: url(../images/blue-backg.jpg);
    background-size: cover;
}
.quot .text {
    color: #fff;
    text-align: center;
}
.quot .text q{
    text-transform: uppercase;
    display: block;
    margin-bottom: 20px;
    font-weight: normal;
    position: relative;
}
.quot .text q::before {
    font-family: "Font Awesome 5 Free";
    content: "\f10d";
    font-weight: 900;
    font-size: 10px;

}
.quot .text q::after {
    font-family: "Font Awesome 5 Free";
    content: "\f10e";
    font-weight: 900;
    font-size: 10px;
}
.quot .text p{
    font-size: 13px;

}
/* End Quot */

/* Start Pricing */
.pricing {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
}
.pricing .content {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
}
.pricing .content .box {
    text-align: center;
}
.pricing .content .box .upgrade {
    padding: 30px;
    border-top: 2px solid var(--mainColor);
    border-bottom: 2px solid var(--mainColor);
}
.pricing .content .box .upgrade h3 {
    font-weight: normal;
    text-transform: uppercase;
    font-size: 15px;
    margin-bottom: 20px;
}
.pricing .content .box .upgrade p {
    font-size: 50px;
    position: relative;
    width: 150px;
    margin: auto;
}
.pricing .content .box .upgrade p span {
    font-size: 10px;
    margin-left: 10px;
    font-weight: bold;
}
.pricing .content .box .upgrade p::before {
    content: "$";
    position: absolute;
    left: 0;
    top: 0;
    font-size: 20px;
}

.pricing .content .box ul li{
    padding: 20px 0;
    border-bottom: 2px solid var(--mainColor);
    width: 65%;
    margin: auto;
}
.pricing .content .box ul li:last-child {
    width: 100%;
}
.pricing .content .box .click{
    padding: 40px;
}
.pricing .content .box button{
    padding: 10px 25px;
    border: 1px solid var(--mainColor);
    background-color: #fff;
}
.pricing p.contact-us {
    text-align: center;
    margin-top: 35px;
    font-size: 20px;
}
.pricing .contact-button {
    text-align: center;
    margin-top: 40px;
}
.pricing .contact-button button{
    padding: 15px 30px;
    background-color: var(--mainColor);
    border: none;
    color: #fff;
}
/* End Pricing */


/* Start mail  */
.mail {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
    background-image: url(../images/mail.jpg);
    background-size: cover;
    position: relative;
    color: #fff;
}
.mail::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 50%);
}
.mail .container {
    position: relative;
    display: flex;
    align-items: center;
}
@media (max-width: 991px) {
    .mail .container {
        flex-direction: column;
    }
}
.mail form {
    display: flex;
    position: relative;
    width: 700px;
    max-width: 100%;
}
.mail form i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 26px;
    font-size: 20px;
}
.mail form input[type="email"] {
    padding: 20px 20px 20px 60px;
    background: none;
    border: 2px solid #fff;
    caret-color: #fff;
    color: #fff;
    font-size: 20px;
    border-right: none;
    width: calc(100% - 120px);
}
.mail form input[type="submit"] {
    padding: 20px;
    border: 2px solid #fff;
    background-color: var(--mainColor);
    color: #fff;
    border-left: none;
    text-transform: uppercase;
}
.mail form input[type="email"],
.mail form input[type="submit"]:focus {
    outline: none;
}
.mail form ::placeholder {
    color: #fff;
}
.mail p {
    line-height: 2;
    margin-left: 35px;
}
@media (max-width: 991px) {
    .mail p {
        margin-top: 20px;
    }
}
/* End mail  */

/* start contact */
.contact {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
}
.contact .content {
    display: flex;
    justify-content: space-between;
}
@media (max-width: 767px) {
    .contact .content {
        flex-direction: column;
    }
}
.contact .content .box{
    flex-basis: 75%;
}

.contact .content .box form .main-input {
    display: block;
    width: 100%;
    padding: 20px;
    margin-bottom: 20px;
    border: 2px solid #ccc;
}
.contact .content .box form .main-input:focus {
    outline: none;
}
.contact .content .box form textarea.main-input {
    height: 200px;
    
}
.contact .content .box form input[type="button"] {
    display: flex;
    margin-left: auto;
    padding: 15px 30px;
    background-color: var(--mainColor);
    color: #fff;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
}
@media (max-width: 767px) {
    .contact .content .box form input[type="button"] {
        margin: auto;
    }
}
.contact .content .text {
    flex-basis: 20%;
}

.contact .content h4 {
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 18px;
    text-transform: uppercase;
}
.contact .content span {
    display: block;
    line-height: 1.8;
    color: #777;
}
.contact .content .text div:nth-of-type(2) h4 {
    margin-top: 65px;
}
.contact .content address {
    color: #777;
    line-height: 2;
}
@media (max-width: 767px) {
    .contact .content .text {
        text-align: center;
        order: -1;
        display: flex;
        justify-content: space-between;
    }
    .contact .content .text address {
        margin-bottom: 40px;
    }
    .contact .content .text div:nth-of-type(2) h4 {
        margin-top: 0;
    }
    .contact .content .text div {
        flex-basis: 45%;
    }
}
/* End contact */

/* Start Footer  */
.footer {
    padding-top: var(--mainPadding);
    padding-bottom: var(--mainPadding);
    background-image: url(../images/blue.jpg);
    background-size: cover;
    position: relative;
}
.footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 50%);
}
.footer .container {
    position: relative;
    color: #fff;
    text-align: center;
}
.footer .container img {
    width: 160px;
}
.footer .container h4{
    padding: 20px;
    font-weight: normal;
    font-size: 23px;
    text-transform: uppercase;
    word-spacing: 5px;
    position: relative;
}
.footer .container h4::before {
    content: "";
    position: absolute;
    width: 250px;
    height: 1px;
    background-color: #fff;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}
.footer .container i{
    margin-top: 30px;
    padding: 0 17px;
}
.footer .container p{
    margin-top: 70px;
}
.footer .container p span{
    color: var(--mainColor);
    font-weight: bold;
}
/* End Footer  */